Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# GeometricBoundingVolume Class Reference

This is another abstract class, for a general class of bounding volumes that actually enclose points in 3-d space, such as BSP's and bounding spheres. More...

Inheritance diagram for GeometricBoundingVolume:

List of all members.

## Public Member Functions
bool | around (Point3 const first, Point3 const last)
| Resets the volume to enclose only the points indicated.
int | contains (GeometricBoundingVolume const vol)
| Returns the appropriate set of IntersectionFlags to indicate the amount of intersection with the indicated volume.
int | contains (Point3 const point)
| Returns the appropriate set of IntersectionFlags to indicate the amount of intersection with the indicated point.
int | contains (Point3 const a, Point3 const b)
| Returns the appropriate set of IntersectionFlags to indicate the amount of intersection with the indicated line segment.
bool | extendBy (Point3 const point)
| Increases the size of the volume to include the given point.
bool | extendBy (GeometricBoundingVolume const vol)
| Increases the size of the volume to include the given volume.
Point3 | getApproxCenter ()
| xform (Mat4 const mat)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is another abstract class, for a general class of bounding volumes that actually enclose points in 3-d space, such as BSP's and bounding spheres.

## Member Function Documentation

bool around | ( | Point3 const | first,
|  | Point3 const | last
| ) |  |

Resets the volume to enclose only the points indicated.

int contains | ( | GeometricBoundingVolume const | vol | ) |

Returns the appropriate set of IntersectionFlags to indicate the amount of intersection with the indicated volume.

int contains | ( | Point3 const | point | ) |

Returns the appropriate set of IntersectionFlags to indicate the amount of intersection with the indicated point.

int contains | ( | Point3 const | a,
|  | Point3 const | b
| ) |  |

Returns the appropriate set of IntersectionFlags to indicate the amount of intersection with the indicated line segment.

bool extendBy | ( | Point3 const | point | ) |

Increases the size of the volume to include the given point.

bool extendBy | ( | GeometricBoundingVolume const | vol | ) |

Increases the size of the volume to include the given volume.

Point3 getApproxCenter | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from BoundingVolume.

Reimplemented in FiniteBoundingVolume, BoundingBox, BoundingHexahedron, BoundingLine, BoundingPlane, BoundingSphere, IntersectionBoundingVolume, OmniBoundingVolume, and UnionBoundingVolume.

xform | ( | Mat4 const | mat | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties